com.aliyun.svideosdk.common.struct.effect

## Class TransitionTranslate

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Effect
  - - com.aliyun.svideosdk.common.struct.effect.TransitionBase
    - - com.aliyun.svideosdk.common.struct.effect.TransitionTranslate

-     public class TransitionTranslate
      extends TransitionBase

  Created by qdz on 2018/5/30.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `Effect.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `mDirection` 平移四个方向

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.effect.TransitionBase

      `DIRECTION_DOWN, DIRECTION_LEFT, DIRECTION_RIGHT, DIRECTION_UP, mCustomSource, mParamsString, mType, ORIENTATION_HORIZONTAL, ORIENTATION_VERTICAL, TRANSITION_TYPE_CIRCLE, TRANSITION_TYPE_CUSTOM, TRANSITION_TYPE_FADE, TRANSITION_TYPE_FIVEPOINTSTAR, TRANSITION_TYPE_SHUTTER, TRANSITION_TYPE_TRANSLATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransitionTranslate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDirection()` 获取方向值
    `TransitionTranslate` | `setDirection(int direction)` 设置方向值

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.effect.TransitionBase

      `getCustomSource, getEffectConfig, getNodeTree, getOverlapDuration, getOverlapDuration, setCustomSource, setEffectConfig, setOverlapDuration, setOverlapDuration, setParamsString, toJsonString`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Effect

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mDirection

          protected int mDirection

      平移四个方向

  - ### Constructor Detail

    - #### TransitionTranslate

          public TransitionTranslate()

  - ### Method Detail

    - #### getDirection

          public int getDirection()

      获取方向值
      Returns:
        `TransitionBase.DIRECTION_DOWN` `TransitionBase.DIRECTION_LEFT` `TransitionBase.DIRECTION_RIGHT` `TransitionBase.DIRECTION_UP`

    - #### setDirection

          public TransitionTranslate setDirection(int direction)

      设置方向值
      Parameters:
        `direction` - `TransitionBase.DIRECTION_DOWN` `TransitionBase.DIRECTION_LEFT` `TransitionBase.DIRECTION_RIGHT` `TransitionBase.DIRECTION_UP`